Set notification preferences
curl --request PUT \
--url https://api.sftpsync.io/notifications/preferences/{clientId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"preferences": [
{
"isEnabled": true,
"recipients": [
"<string>"
]
}
]
}
'import requests
url = "https://api.sftpsync.io/notifications/preferences/{clientId}"
payload = { "preferences": [
{
"isEnabled": True,
"recipients": ["<string>"]
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({preferences: [{isEnabled: true, recipients: ['<string>']}]})
};
fetch('https://api.sftpsync.io/notifications/preferences/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"clientId": "<string>",
"isEnabled": true,
"recipients": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>",
"metadata": {}
}
]Notifications
Set notification preferences
Upsert a connection’s preferences, matched on (eventType, channel). An enabled preference requires at least one recipient.
PUT
/
notifications
/
preferences
/
{clientId}
Set notification preferences
Authorizations
Path Parameters
Connection id.
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Response
200 - application/json
Updated preferences
The connection this preference is scoped to.
Available options:
PIPELINE_RUN_FAILED, PIPELINE_RUN_SUCCEEDED Available options:
EMAIL, SLACK, SMS ⌘I